[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: lynx-dev patch to spawn extra lynx's

From: Klaus Weide
Subject: Re: lynx-dev patch to spawn extra lynx's
Date: Wed, 15 Sep 1999 15:15:56 -0500 (CDT)

On Wed, 15 Sep 1999, Richard E. Hawkins wrote:

> I've almost finished a patch to allow a middle-click to spawn an extra 
> lynx in a new xterm, as with netscape and mozilla. This is the last 
> pieces I need before abandoning netscape for daily use (when I go to 
> news sights, I like to fire everything off, otherwise I forget to go 
> back).[...]

> The first burning question is making the patch.  Right now I'm coding 
> against the debian source for 2.8.1.  I cp -a 'd this directory,  so 
> will 
>    diff -r -b -B lynx-2.8.1 orig.lynx-2.8.1 | zcat > mypatch.gz
> Give a diff of a useful form for you folks?

Newer versions' makefile has a target lynx.patch.  If your lynx tree
you have mangled is in somewhere/lynx2-8-3/ it assumes a copy of
the original source exists unpacked in somewhere/orig/lynx2-8-3/
(or equivalent for other version numbers).  I don't know whether that
is already in the 2.8.1 makefile.

So you would set up the directories that way, then within
somewhere/lynx2-8-3/ type "make lynx.patch", then the file lynx.patch
in the parent directory should contain the diff (not gzipped).

(Anyway, if you want to do it by hand, you should have a -c or -u in the
diff options.  And I don't think zcat works that way.)

> And should I be using a 2.8.3.pre instead?  


Yes, much preferred.

> The advantage of what I 
> have is that it's already configured for my system.  Also, I see a 
> series of patches, but not one to go from .1 to .2.  Where can I 
> find this (if I should be using it), and do I apply all of the dev 
> patches in order, or just the most recent?

2.8.3dev.1.patch.gz   takes you   2.8.2rel.1 -> 2.8.3dev.1
2.8.3dev.2.patch.gz      "   "    2.8.3dev.1 -> 2.8.3dev.2
2.8.3dev.3.patch.gz      "   "    2.8.3dev.2 -> 2.8.3dev.3

and so on.

But since you'll have to "jump" anyway (I don't think spearate patches
for 2.8.1 -> 2.8.2 are available anywhere, and even if they were it would
be a pain to apply them) just jump to the current latest full lynx2.8.3dev.9.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]